#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.2
visibility:           public
id:                   persistent-test-2.13.1.2-ABun73H7XDZHWjXBWvdLyH
key:                  persistent-test-2.13.1.2-ABun73H7XDZHWjXBWvdLyH
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  a1f223cee10ffffff4ecc36baad11af1
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.2-ABun73H7XDZHWjXBWvdLyH
depends:
    HUnit-1.6.2.0-1AwLOZxhq4x9w6wTJzJgL5
    QuickCheck-2.14.2-EAx6IUCFVQCE8r065a1ZqB
    aeson-2.1.2.0-6VydXJBWxd89BBQXwjEfAs base-4.15.1.0
    blaze-html-0.9.1.2-Hz55zByD1z0JUBNQJ0asRt bytestring-0.10.12.1
    conduit-1.3.4.3-ItP0qldtnkk96Cxb1Wl923 containers-0.6.4.1
    exceptions-0.10.4 hspec-2.10.9-DzTK9tMsXFPBgF9i880iyl
    hspec-expectations-0.8.2-3q6ZKmghHRLGAJBMMSFi2X
    http-api-data-0.5.1-CyP7rtlFCM8KWuxRBwcC5u
    monad-control-1.0.3.1-IxKevwQDcd11WqdDrBdsMe
    monad-logger-0.3.39-KMtfVe8Pn46DFB0rOOBkJd mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.5-J2EjVh2d1wdDtQHfSSAFgh
    quickcheck-instances-0.3.29.1-B7JX0ofT8RQ5HZ7QtJuEEM
    random-1.2.1.1-8erLhCi2BjJFOfZWbNb3er
    resourcet-1.2.6-8nrgea4cL9yApMHKZQzeNF text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-Bnp6IGmDcvw9lqFAvhTvwf
    unliftio-0.2.24.0-DJl3lcFctZ95JMot08EQZi
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-IiLQZF6DbPQFjcFD1585i8

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

